Subject: bug#44209: 28.0.50; [feature/native-comp] Compilation failure in progmodes/js.el

From: Andrea Corallo <[email-masked]>
Date: Sun, 25 Oct 2020 15:57:29 +0000

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Andrew Whatson <[email-masked]> writes:
>>
>>> I maintain both of these packages.  Are you sure you're testing with
>>> "make NATIVE_FULL_AOT=1"?  The error does not occur with the minimal
>>> bootstrap build, because that doesn't attempt to native-compile js.el
>>> during the build.  I guess this error must occur at runtime with
>>> deferred compilation for non-AOT builds.
>>
>> Oh, sorry, I assumed that
>>
>>  ELC+ELN   progmodes/js.elc
>>
>> meant that it was doing full ahead-of-time .eln generation...  but it's
>> not?  Andrea, perhaps the compilation output here should be tweaked,
>> then?
>
> Correct we are printing ELC+ELN even when we are native compiling only
> the files involved in the image creation + few others (the default
> setting).
>
> I agree would be nice to have it tweaked for when we are not doing a
> full AoT compilation.
>
> I'll have a look into.

I pushed 868d3ff9b8, should do the job.

  Andrea